Rs.iscurve(object), true or false? Different between gh and rhino?


almost the same code ,why left come out true ,right come out false?

import rhinoscriptsyntax as rs
object = rs.GetObject("Select a curve")
print object
if rs.IsCurve(object):
    print "The object is a curve."
else:
    print "The object is not a curve."
import rhinoscriptsyntax as rs
import scriptcontext
import Rhino.Geometry as rg

###########ID划分为点和曲线list#################
obj=ID
texts=[]
curves=[]
for obj in objs:
    print obj
    print rs.IsCurve(obj)
    if rs.IsCurve(obj):
        curves.append(obj)
    elif rs.IsText(obj):
        texts.append(obj)
print(texts)
print curves

Hi @cup319,

Do you have a sample .3dm file and .gh file with internalized geometry you can provide that demonstrates the problem?

– Dale

import scriptcontext as sc
import Rhino as rh
sc.doc = rh.RhinoDoc.ActiveDoc

mycode

sc.doc = ghdoc